Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/dlpk.h File Reference

Discrete Logarithm Public Key, header. More...

`#include "dldp.h"`

Go to the source code of this file.

## Data Structures
struct | dlpk_p
## Functions
int | dlpk_pInit (dlpk_p *pk)
int | dlpk_pFree (dlpk_p *pk)
int | dlpk_pCopy (dlpk_p *dst, const dlpk_p *src)
int | dlpk_pEqual (const dlpk_p *a, const dlpk_p *b)
int | dlpk_pgoqValidate (const dlpk_p *pk, randomGeneratorContext *rgc, int cofactor)
int | dlpk_pgonValidate (const dlpk_p *pk, randomGeneratorContext *rgc)

## Detailed Description

Discrete Logarithm Public Key, header.

Definition in file dlpk.h.

## Function Documentation

int dlpk_pCopy | ( | dlpk_p * | dst,
|  | const dlpk_p * | src
| ) |

| Definition at line 55 of file dlpk.c. References BEECRYPTAPI.

int dlpk_pEqual | ( | const dlpk_p * | a,
|  | const dlpk_p * | b
| ) |

| Definition at line 65 of file dlpk.c. References BEECRYPTAPI.

int dlpk_pFree | ( | dlpk_p * | pk | ) |

| Definition at line 43 of file dlpk.c. References BEECRYPTAPI.

int dlpk_pgonValidate | ( | const dlpk_p * | pk,
|  | randomGeneratorContext * | rgc
| ) |

| Definition at line 87 of file dlpk.c.

int dlpk_pgoqValidate | ( | const dlpk_p * | pk,
|  | randomGeneratorContext * | rgc,
|  | int | cofactor
| ) |

| Definition at line 71 of file dlpk.c. References BEECRYPTAPI.

int dlpk_pInit | ( | dlpk_p * | pk | ) |

| Definition at line 33 of file dlpk.c.